<!DOCTYPE html>
<html lang="en">

<head>
    <title> APIs sample</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<script>
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
    var gBASE_URL = "https://jsonplaceholder.typicode.com";
    
    // API lấy danh sách comments theo 1 postId
    function getCommentsByPostId() {
        var vPostId = 3; // id của post cần lấy danh sách comments
        var vAPI_URL = gBASE_URL + "/posts/" + vPostId + "/comments/";
        var vXhttp = new XMLHttpRequest();
        vXhttp.onreadystatechange = function () {
            if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
                console.log(vXhttp.responseText);
            }
        };
        vXhttp.open("GET", vAPI_URL, true);
        vXhttp.send();
    }

    // API lấy chi tiết 01 Comment  by id
    function getCommentById() {
        var vCommentId = 6; // id comment cần lấy thông tin chi tiết
        const vAPI_URL = gBASE_URL + "/comments/" + vCommentId;

        var vXmlHttp = new XMLHttpRequest();
        vXmlHttp.onreadystatechange = function () {
            if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
                console.log(vXmlHttp.responseText);
            }
        }
        vXmlHttp.open("GET", vAPI_URL, true);
        vXmlHttp.send();
    }

</script>

<body>
    <div class="container mt-4">
        <div class="row form-group">
            <strong class="text-danger"> Bật console log để nhìn rõ output </strong>
        </div>
        <div class="row form-group">
            <p id="testP" class="h4"> Demo APIs</p>
        </div>
        <div class="row form-group">
            <button  class="btn btn-info m-1" onclick="getCommentsByPostId()">Lấy danh sách comments theo post Id</button>
            <button  class="btn btn-warning m-1" onclick="getCommentById()">Lấy chi tiết 1 Comment theo Id</button>
        </div>
    </div>
</body>

</html>